Skip to main content

Download CDR Declassification File

Download the file that has been sanitized.
SuccessReturns a file binary stream, andOn FailureReturns an error message in JSON format.

Important Notes

  • Prerequisite: mustStatus Inquiry API(GET /v5/cdr/{jobID}response of)codea**0(Success)or1(Exception/Original Import)**It should only be called when it is.
  • Blocked Files: Blocked files by policy (code: 2cannot be downloaded.
  • Expiration: Files that have passed the server's file retention period are automatically deleted and cannot be downloaded (code: -2). A re-request is needed.

Method

GET

/v5/download/{jobID}

Request Path Parameter

KEYOBJECTDESC
jobIDStringTask ID to download (required)

Response

1. Success (File Download)

  • Content-Type: application/octet-stream
  • Body: Binary Data (File)

2. Failure (JSON Error Response)

  • Content-Type: application/json
KEYOBJECTDESC
jobIDStringWork ID
codeintResult code (see table below)
msgStringResult Message

Response Code (Failure Case)

CODEDESCDETAIL
5Reject invalid requestsIn case of an invalid request or lack of access permission
3Decontamination in progressIf you requested a download while it is still incomplete
2File Blocking by PolicyBlocked files cannot be downloaded.
-1Unknown errorUnable to download due to internal server error
-2File not foundFiles that have been deleted or do not exist due to the expiration of the retention period

Sample

REQUEST

curl -X GET "{{url}}/v5/download/test-job-001" -O

RESPONSE - Success

  • The file download will begin.

RESPONSE - Failure (Code: 2, Blocked File)

{
"jobID": "test-job-001",
"code": 2,
"msg": "정책에 의한 파일 차단으로 다운로드 불가"
}

RESPONSE - Failure (Code: 3, In Progress)

{
"jobID": "test-job-001",
"code": 3,
"msg": "무해화가 진행중인 경우"
}